> ## Documentation Index
> Fetch the complete documentation index at: https://c-mass.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote by Emissions Mass

> Get a price quote for offsetting the given amount of carbon emissions.



## OpenAPI

````yaml POST /v1/quotes
openapi: 3.0.1
info:
  title: c-mass API
  description: API for managing carbon credits, projects, portfolios, and orders
  version: 1.0.0
servers:
  - url: https://carbon-engine.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/quotes:
    post:
      tags:
        - Quotes
      summary: Get carbon credit amount quote by emission mass
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - amount_kg
              properties:
                portfolioId:
                  type: string
                  description: The portfolio ID
                amount_kg:
                  type: number
                  description: >-
                    The amount in kg of CO2 emissions. Must be a positive
                    integer.
      responses:
        '200':
          description: Fetched quote successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Quote'
        '400':
          description: Missing values
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteError'
        '500':
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    Quote:
      type: object
      properties:
        amount_kg:
          description: Amount of carbon credits the quote is for, in kilograms
          type: number
        price_sar_halalas:
          description: Price charged for the credits, in halalas (integer)
          type: number
    QuoteError:
      type: object
      properties:
        error:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message describing the issue
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````